Subject: Re: bug#63311: 30.0.50; [PATCH] smtpmail-send-it split

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Nov 2023 14:12:11 +0200

> From: Manuel Giraud <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 07 Nov 2023 10:06:58 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I mean, the last error message could come from another thread not
> >> related in anyway to mail sending.  No?
> >
> > It could, but why would there be other threads in this case?
> 
> It seems that threads aren't used much in Emacs but isn't it dangerous
> to consider we're the only one using them?  I don't if it would be easy
> but I think that it would be good to have a function like this:
> 
>     (thread-error thread)
>     
> that would return the error message of the given thread like the global
> 'thread-last-error' does.

Maybe.  But we decided not to add this until there's a real need for
it.  Also, threads don't really have a unique ID, at least not easily,
so there's more here than meets the eye...